# Form implementation generated from reading ui file 'src/eric7/EricNetwork/EricSslCertificateSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricSslCertificateSelectionDialog(object):
    def setupUi(self, EricSslCertificateSelectionDialog):
        EricSslCertificateSelectionDialog.setObjectName("EricSslCertificateSelectionDialog")
        EricSslCertificateSelectionDialog.resize(760, 440)
        EricSslCertificateSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricSslCertificateSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=EricSslCertificateSelectionDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.certificatesTree = QtWidgets.QTreeWidget(parent=EricSslCertificateSelectionDialog)
        self.certificatesTree.setObjectName("certificatesTree")
        self.verticalLayout.addWidget(self.certificatesTree)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.viewButton = QtWidgets.QPushButton(parent=EricSslCertificateSelectionDialog)
        self.viewButton.setEnabled(False)
        self.viewButton.setObjectName("viewButton")
        self.horizontalLayout.addWidget(self.viewButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricSslCertificateSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricSslCertificateSelectionDialog)
        self.buttonBox.accepted.connect(EricSslCertificateSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricSslCertificateSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricSslCertificateSelectionDialog)

    def retranslateUi(self, EricSslCertificateSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        EricSslCertificateSelectionDialog.setWindowTitle(_translate("EricSslCertificateSelectionDialog", "SSL Certificate Selection"))
        self.label.setText(_translate("EricSslCertificateSelectionDialog", "Select a SSL certificate:"))
        self.certificatesTree.headerItem().setText(0, _translate("EricSslCertificateSelectionDialog", "Certificate name"))
        self.certificatesTree.headerItem().setText(1, _translate("EricSslCertificateSelectionDialog", "Expiry Date"))
        self.viewButton.setToolTip(_translate("EricSslCertificateSelectionDialog", "Press to view the selected certificate"))
        self.viewButton.setText(_translate("EricSslCertificateSelectionDialog", "&View..."))
